Autore Topic: vlc - errore di segmentazione  (Letto 354 volte)

Offline francesco_dem

  • *
  • Post: 321
  • Reputazione: 9
    • Mostra profilo
vlc - errore di segmentazione
« il: 22 Dicembre 2015 ore 20:14 »
Come da titolo, vlc non si avvia e mi restituisce il seguente errore:

Codice: [Seleziona]
[francesco@chakra-pc ~]$ vlc -version
VLC media player 2.2.1 Terry Pratchett (Weatherwax) (revision 2.2.1-0-ga425c42)
[00000000020e5158] core libvlc warning: cannot read /usr/lib/vlc/plugins/plugins.dat: No such file or directory
[00000000020e5158] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/stream_out/libstream_out_chromaprint_plugin.so' (libchromaprint.so.0: impossibile aprire il file oggetto condiviso: File o directory non esistente)
[00000000020e5158] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/demux/libgme_plugin.so' (libgme.so.0: impossibile aprire il file oggetto condiviso: File o directory non esistente)
Errore di segmentazione (core dump creato)

Codice: [Seleziona]
VLC media player 2.2.1 Terry Pratchett (Weatherwax) (revision 2.2.1-0-ga425c42)
Errore di segmentazione (core dump creato)

con dragon player invece sento solo l'audio, il video non si vede  :-\ :-\

Edit1:
ho provato questa soluzione suggerita sul wiki di arch:
https://wiki.archlinux.org/index.php/VLC_media_player#Segmentation_fault

Codice: [Seleziona]
# /usr/lib/vlc/vlc-cache-gen -f usr/lib/vlc/plugins
ma niente, alla fine della reinstallazione ancora errore :
Codice: [Seleziona]
attenzione: vlc-2.2.1-2 è aggiornato ma sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (1) vlc-2.2.1-2

Dimensione totale dei pacchetti da installare:  47,79 MiB
Dimensione netta dell'aggiornamento:             0,00 MiB

:: Vuoi procedere con l'installazione? [S/n] S
(1/1) verifica delle chiavi presenti nel portachiavi                        [###########################################] 100%
(1/1) verifica dell'integrità dei pacchetti                                 [###########################################] 100%
(1/1) caricamento dei file dei pacchetti                                    [###########################################] 100%
(1/1) controllo dei conflitti in corso                                      [###########################################] 100%
(1/1) reinstallazione vlc                                                   [###########################################] 100%
/tmp/alpm_bYIQzy/.INSTALL: riga 1:  8150 Errore di segmentazione (core dump creato) usr/lib/vlc/vlc-cache-gen -f usr/lib/vlc/plugins

Edit2:
Scusate, ma ho risolto con la seconda opzione, installando vlc con il comando:
Codice: [Seleziona]
# LD_PRELOAD=/usr/lib/libgobject-2.0.so.0 pacman -S vlc
Resta adesso il problema con dragon player, ma forse è il caso di aprire altro topic o provare a cercare soluzioni..

Edit3:
risolto anche con dragon player,installando gst-libav
fonte:
https://chakraos.org/forum/viewtopic.php?id=14044


« Ultima modifica: 22 Dicembre 2015 ore 21:24 da francesco_dem »

 

Template by Homey | Sito ufficiale | Disclaimer